{*
*
* NOTICE OF LICENSE
*
* This file is licenced under the Software License Agreement.
* With the purchase or the installation of the software in your application
* you accept the licence agreement.
*
* You must not modify, adapt or create derivative works of this source code
*
*  @author    Medianetpay SPA
*  @copyright 2022 Medianetpay SPA
*  @license   LICENSE.txt
*
*}

<head>
    <style>
        .submitButton {
            position: relative;
            display: inline-block;
            padding: 5px 7px;
            border: 1px solid #cc9900;
            font-weight: bold;
            color: black;
            background: url("/../../modules/medianetpay/views/img/bg_bt.gif") repeat-x 0 0 #f4b61b;
            cursor: pointer;
            white-space: normal;
            text-align: left;
        }

        .submitButton:hover {
            color: white;
        }
    </style>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
</head>
<table border="0">
    <tr>
        <td colspan="2">
            <img src="../modules/medianetpay/views/img/index_logo_main.png"
                alt="{l s='Medianetpay' mod='medianetpay'}" />
        </td>
    </tr>
    <tr>
        <td>
            <form name="pg_frm" id="pg_frm" method="post"
                action="https://plataforma.medianetpay.ec/secure/gangway/index.do">
                <input type="hidden" name="usuario" id="usuario" value="{$serviceid}" />
                <input type="hidden" name="llavemd5" id="llavemd5" value="{$secure_key}" />
                <input type="hidden" name="referencia" value="{$cart_id}-{$customer_id}">
                <input type="hidden" name="moneda" value="{$currency}">
                <input type="hidden" name="pg_custom" value="{$cart_id}-{$customer_id}-{$secure_key}">
                <input type="hidden" name="valor" value="{$total}">
                <input type="hidden" name="iva" id="iva" value="0" />
                <input type="hidden" name="baseiva" id="baseiva" value="0" />
                <input type="hidden" name="descripcion" value="{$shop.name} - Carrito #{$cart_id}">
                <input type="hidden" name="nombres" id="nombres" value="{$customer.firstname}" />
                <input type="hidden" name="apellidos" id="apellidos" value="{$customer.lastname}" />
                <input type="hidden" id="email" name="email" value="{$customer.email}" />
                <input type="hidden" id="direccion" name="direccion" value="{$address}" />
                <input type="hidden" id="telefono" name="telefono" value="{$phone}" />
                <input type="hidden" id="ciudad" name="ciudad" value="{$city}" />
                <input type="hidden" name="urlback" value="{$return_cart}">
                <input type="hidden" name="urlredirect" value="{$return_url}">
                <table border="0" style="width:100%">
                    <tr>
                        <th>{l s='Total' mod='medianetpay'}</th>
                        <th>{l s='Payment method' mod='medianetpay'}</th>
                    </tr>
                    <tr>
                        <td>
                            <span id="amount">{$total} {$currency}</span>
                        </td>
                        <td>Medianetpay</td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <input type="submit" name="pg_button" id="pg_button"
                                value="{l s='Ir a Pagar' mod='medianetpay'}" class="submitButton" />
                        </td>
                    </tr>
                </table>
            </form>
        </td>
    </tr>
</table>

<script type="text/javascript">
    $('#pg_button').click(function() {
        $.ajax({
            type: 'GET',
            url: '../modules/medianetpay/validation.php?create-pending-order',
            dataType: 'html',
            success: function(data) {
                $('#pg_frm').submit();
            }
        });
    });
</script>